Description

A month or so ago | noticed these changes:

- when you hit Enter when configuring an actor's parameter value, a new line is entered (and you can no longer see what you
entered, just a vertical scroll bar, similar to bug#5587). It used to be that Enter just enacted the value change.

- when you hit tab, a tab is inserted. It used to be tab would move you to the next parameter's value field.

| think both of the old behaviors were better and more intuitive.

History

#1 - 06/11/2012 11:11 AM - Daniel Crawl

| just checked and tab now moves to the next parameter's field, but enter still does not apply the new parameter value.
Note that this problem is for parameters with a line style. | checked text style and the behavior hasn't changed since the previous kepler release.

#2 - 06/17/2012 01:40 PM - Christopher Brooks

The remaining issue here is that in EditParameters, if the focus is in a line entry, then hitting the enter (aka return) key does not commit the changes
and close the dialog.

It seems like this has been broken for a long time.

1) Open a model

2) Drag in a XY Plotter, double click, bringing up the Edit Parameters Window
3) The focus is on the checkbox

4) Hit enter, the window closes

5) Double click again

6) Move the focus to the legend

7) Hit enter, the window does not close

| checked Kepler-2.2, 2.3 and Ptolemy 11 8.0.1 and this is how they
all work. Dan wrote:

| just checked and tab now moves to the next parameter's field, but enter still
does not apply the new parameter value.

Note that this problem is for parameters with a line style. | checked text
style and the behavior hasn't changed since the previous kepler release.

I'm confused, | can't get enter in the line style parameter to close the window.

BTW - shift-enter will add a newline to the line style parameter.

#3 - 08/15/2012 07:24 AM - Christopher Brooks

Patricia's fixes seem to have solved the problem of enter not closing a dialog.

I'm assigning this to Daniel for review and hopefully closing.

#4 - 08/24/2012 01:02 PM - Daniel Crawl

Looks good. Thanks, Patricia!

#5 - 03/27/2013 02:31 PM - Redmine Admin
